General issues

  1. What is podmailing.com? a P2P Network?
  2. What is podmailing.com? An e-mail service?
  3. How fast are the files transferred?
  4. Who is podmailing.com meant for?
  5. podmailing.com and my e-mail address
  6. Do I have to stay connected so that my friends receive the file?
  7. Will my computer contain files from other people?
  8. Can I use the podmailing.com service with my IM / Voicechat / Videochat too?
  9. How does podmailing.com relate to BitTorrent?
  10. What about legal issues?


What is podmailing.com? a P2P Network?

Yes: podmailing.com ties into the natural network of e-mail contacts and mailing-lists. Example: when you receive a viral video, you are enticed to forward it to a couple of friends. And we all have some friends that send a lot of stuff to a lot of people by e-Mail. podmailing.com empowers this social network with P2P delivery. podmailing.com enables a much larger capacity and a more efficient delivery, because P2P works even better when many people are receiving the same stuff.

But: the podmailing.com service is very different from the illegal P2P usage. It uses a P2P protocol, but does not provide any of the usual illegal file sharing networks features, such as searching for infringing material or giving public access to your hard drive directories. Additionally, we strongly discourage illegal uses and point to the rightful uses of the podmailing.com service.


What is podmailing.com? An e-mail service?

Yes: podmailing.com is an e-mail attachment service which relieves people from file size constraints. podmailing.com is also the keystone of a mailing-list social network, particularly adapted to exchanging files in a private circle.

But no: podmailing.com does not replace your usual e-Mail. It complements your e-Mail software or web-mail as a helper or plug-in if you like.


How fast are the files transferred?

It can be pretty fast: the upload bandwidth of the sender is the only true bottleneck when you start sending a large attachment with Podmailer. If several persons start receiving it simultaneously, they will each get some of the sender's bandwidth, and also contribute their own bandwidth between eachother.

Thanks to this mechanism, the file can be received by tens of people as fast as by one single person. Additionnally, if one of the recipients comes late and joins after several recipients already have the file, then he will get the total bandwidth contributed by all these persons. So he can get the file ten times faster!


Who is podmailing.com meant for?

Casual internet users who enjoy more and more of the digital lifestyle. They have devices such as digital cameras, iPod, PSP or advanced mobile phones. They have already downloaded a video on their laptop/PC. They use email and IM to communicate, to have fun, socialize or work (with their friends and families, and their colleagues).

Everyday pro users who work in small or large companies and know how to use convenient internet tools to communicate like voice-chat for instance. podmailing.com should become their tool of choice to send large work files to their colleagues or partners.

Power users who like simple and efficient software that leaves them in control.


podmailing.com and my e-mail address

Should I change my e-mail address to use podmailing.com?

No, you keep your current e-mail address.

Do I need to get a new e-mail account?

No, you keep your current e-mail account.

I'm using a particular e-mail software or webmail, do I need to change?

No, you don't. The podmailing.com service is compatible with every e-mail software and webmail.


Do I have to stay connected so that my friends receive the file?

For the moment, you'll have to stay connected and to let the Podmailer software run so that your friends receive the file.


Will my computer contain files from other people?

No, you will only host and transfer files or parts of files that you sent to your contacts or that your contacts sent to you, you will not host any files from users that you don't know.


Can I use the podmailing.com service with my IM / Voicechat / Videochat too?

The podmailing.com service can be used with Instant Messaging, although it is not as tightly integrated as e-mail is, yet. Plug-ins for popular IM / Voicechat / Videochat software will be rolled-out as quickly as possible to make it more convenient.


How does podmailing.com relate to BitTorrent?

We are great fans of BitTorrent, and podmailing.com is not a competitor.

But podmailing.com does rely on BitTorrent technology: we use the official protocol, as well as a good part of the mainline open-source code by Bram Cohen and others. The service offered by podmailing.com, however, is different from that of the BitTorrent application, which is a great tool for people to publish their stuff. Well podmailing.com is a service for people to e-mail their stuff.


What about legal issues?

The podmailing.com service is a legal product, discouraging illegal uses.

Comparably to e-mail providers and e-mail software, podmailing.com cannot be held responsible for the infringing material that people might send or receive. Due to its obligation to respect communication privacy, podmailing.com does not examine the contents of the files that are sent.


Handling Podmailer

  1. I want to use Podmailer. How may I get it?
  2. I've just installed Podmailer. How can I send a podmail?
  3. I received a podmail. How should I open it?
  4. I received a podmail. How should I forward it?
  5. How should I configure Podmailer?
  6. How should I uninstall Podmailer?


I want to use Podmailer. How may I get it?

Good choice! There are just a few steps to take.

  • On the podmailing.com website, click on Get Podmailer.
  • Read the registration terms carefully, tick the box 'I agree to these terms' and then fill in the forms 'Register to the podmailing.com service' and 'User profile'. When you're done, click on 'Register' at the bottom of the screen.
  • You now need to activate your account. In order to do so, check your e-mail Inbox. You should receive an e-mail giving you a link to activate your account. Click on it.
  • You're now ready to download Podmailer. Go back to www.podmailing.com, and click on the 'Get Podmailer' button to download Podmailer's latest installer.
  • When the download is finished, open 'Podmailer_Beta_Setup.exe'.
  • Select all the components to install (Podmailer, Start Menu Shortcuts, Desktop Shortcut) and click 'Next'.
  • Specify the folder where you want Podmailer to be installed (you may click on 'Browse' to look for a specific folder), then click on 'Install'.
  • When the installation is complete, click on 'Close'.
  • Double click on the Podmailer shortcut which was added to your desktop.


I've just installed Podmailer. How can I send a podmail?

You are just 2 minutes away from sending the largest e-mail you've ever sent.
Just follow these quick steps:

  • Click on 'New'. This button is located on the top left corner of the window.
  • Fill in the recipients, subject and body - as you do when you write a regular e-mail.
  • Click on 'Attachment' - the button with a paper clip - and select the attachment (a single file) you wish to send. Remember, this attachment can be as big as you want, even up to several Gigs!
  • Press 'Send Now'. The podmail you sent will be displayed in the 'Outbox' section.
Congratulations! Your podmail has just been sent and your friends are now able to download your file.
Do not forget to keep the Podmailer application up and running to allow your friends to get your attachment.


I received a podmail. How should I open it?

In your regular e-mail client, when you receive an e-mail with a .zed file attached, it means that you've received a podmail!
To download the huge file attached to it, you just need to:

  • Double click on the .zed file in the email you've received. When Podmailer is active, the podmails you received are displayed in the 'Inbox' section. When a message is selected, you can open the message by double clicking on it.
  • Tell your usual e-mail application to open the .zed file using Podmailer.exe if it doesn't do so automatically. If you have downloaded the .zed file on your computer, you may also click on the button 'Load .zed' at the top of the Podmailer window to add a download by selecting the .zed file you received.
  • Follow the download progress in the Podmailer application by clicking on the 'Transit' tab, which will give you, for each file, the download and upload speed, the number of peers and seeds, the percentage of completion and the total size of the file. When a file is selected, click on the red button if you want to pause its download or on the green button if you want to resume its download.
  • When the download is complete, the attachment is in your "Podmailer attachments" folder (open it by clickin on 'Files', the folder button): by default, all your Podmailer attachments are located in the folder "My Documents\Podmailer attachments\". You can change this folder in the Options window.


I received a podmail. How should I forward it?

  • In the Podmailer window, the podmails you receive are displayed in the 'Inbox' section. When a message is selected, you can forward it by clicking on the 'Forward' button (the button with a green arrow)
  • Fill in the recipients, subject and body - as you do when you write a regular e-mail.
  • Press 'Send Now'.


How should I configure Podmailer?

  • On first use: When you launch Podmailer for the first time, after agreeing to the Podmailer license user agreement, you'll need to sign in to be able to send attachments in the future. Afterwards, if you wish to use the default e-mail application configured in Windows, check the box 'Default e-mail application configured in Windows' (e.g. Mozilla Thunderbird, Microsoft Outlook...). You may also enter your SMTP server and your port manually: the usual port is 25. If your ISP requires you to authenticate to send e-mails, tick the 'Authenticate to send e-mail' box and enter your username and your password.
  • Modifying your settings: Click on 'Options' (gear works button)
    • User: here you can enter your login and your password, for instance to switch between different accounts.
    • Folder: change the folder where all your Podmailer attachments are saved.
    • Connection:
      • The listening port is by default 7890 (modify it only if you know what you're doing). If you want to check your port forwarding, go to http://www.btfaq.com/natcheck.pl (Please note that podmailing.com isn't the author of this page. This link is just given as a means to help you configure your routeur).
      • Tick the box 'Firewall warnings' to declare the Podmailer software to the Windows firewall if the later tries to block Podmailer when it uploads or downloads data.
      • Tick the box 'UPnP Port Mapping' if you want Podmailer to get the proper port directly from your router (provided that it is compatible with the Universal Plug and Play network protocol)
    • Bandwith: change your maximum upload bandwith (enter 0 if you don't want to set any limit)
    • SMTP:
      • If you wish to send your podmails directly, just click on the 'Send podmails using SMTP' check box in the options window.
      • In the settings, simply use your Internet provider's or your e-mail service's SMTP server (tick the box 'Send podmails using SMTP'). You can see a list of most Internet providers' SMTP on http://www.e-eeasy.com/SMTPServerList.aspx (Please note that podmailing.com isn't the author of these pages). Most SMTP servers look like 'smtp.[name of your provider].[internet country code extension]' (for instance, the SMTP for Wanadoo users is smtp.wanadoo.fr). The usual port is 25.
      • If your SMTP server requires authentication, tick the corresponding box and enter your username and your password. Note that SSL is not supported for SMTP, which prevents Podmailer from using Gmail SMTP: in that case use your ISP's SMTP server instead.


How should I uninstall Podmailer?

In the Windows Start Menu, select the folder '\zSlide\Podmailer' and click on 'Uninstall'.


Troubleshooting

  1. How should I set-up my SMTP server?
  2. How should I set-up my ports?
  3. My downloads are going slow.
  4. How should I forward my ports?
  5. The download does not begin.
  6. Why isn't Gmail SMTP supported yet?
  7. How should I report a problem?


How should I set-up my SMTP server?

Click on Options then check 'Send podmails using SMTP'. In the settings, simply use your Internet provider's SMTP or your e-mail service's SMTP server. You can see a list of most Internet providers' SMTP on http://www.e-eeasy.com/SMTPServerList.aspx and http://www.arobase.org/adresses/serveurs.htm (Please note that podmailing.com isn't the author of these pages). Most SMTP servers look like 'smtp.[name of your provider].[internet country code extension]' (for instance, the SMTP for Wanadoo users is smtp.wanadoo.fr). The usual port is 25. If your SMTP server requires authentification, tick the corresponding box and enter your username and your password.


How should I set-up my ports?

You can change your listening port by opening the Options window then changing the port in the 'Connection' section. If you want to check if your port forwarding works, go to http://www.btfaq.com/natcheck.pl (Please note that podmailing.com isn't the author of this page. This link is just given as a mean to help you configure your routeur).


My downloads are going slow.

If your downloads are going slow, your firewall may be blocking connections for Podmailer: set an exception for incoming and outgoing connections for Podmailer in your firewall's configuration.


How should I forward my ports?

Please visit http://portforward.com/ (Please note that podmailing.com isn't the author of this page. This link is just given as a mean to help you configure your routeur).


The download does not begin.

First, check if you are online. Then, if it's already the case, wait a few more minutes. If there aren't many people participating to the transfer, or if they are behind a router, then it might take a few minutes for the transfer to begin.

If after a few minutes you still aren't downloading anything, it might be that the sender has gone offline, and/or that no one can send you the file.

Ultimately, you can try to quit and relaunch Podmailer.


Why isn't Gmail SMTP supported yet?

Gmail SMTP requires SSL, contrary to most SMTP servers. We don't support it yet. Bear in mind also that Gmail is still in beta and the Gmail SMTP is not always operational.
So we recommend you to use your ISP's smtp. Generally it doesn't require authentication, you can leave the default port 25, and the address is something like smtp.your_isp.com


How should I report a problem?

If you find a bug, check the forum. You can copy/paste your log file in the 'Bug reports' section.